org.apache.synapse.commons.staxon.core.json.stream.util

## Class AutoPrimitiveTarget

- java.lang.Object
- - org.apache.synapse.commons.staxon.core.json.stream.util.StreamTargetDelegate
  - - org.apache.synapse.commons.staxon.core.json.stream.util.AutoPrimitiveTarget

- All Implemented Interfaces:
    Closeable, Flushable, AutoCloseable, JsonStreamTarget

      public class AutoPrimitiveTarget
      extends StreamTargetDelegate

  Target-filter to auto-convert string values to primitive (boolean, number, null) values.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AutoPrimitiveTarget(JsonStreamTarget delegate, boolean convertAttributes)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `name(String name)` Write name.
    `void` | `value(Object value)` Write value.

    - ### Methods inherited from class org.apache.synapse.commons.staxon.core.json.stream.util.StreamTargetDelegate

      `close, endArray, endObject, flush, startArray, startObject`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AutoPrimitiveTarget

          public AutoPrimitiveTarget(JsonStreamTarget delegate,
                                     boolean convertAttributes)

  - ### Method Detail

    - #### name

          public void name(String name)
                    throws IOException

      Description copied from interface: `JsonStreamTarget`
      Write name.
      Specified by:
        `name` in interface `JsonStreamTarget`
      Overrides:
        `name` in class `StreamTargetDelegate`
      Throws:
        `IOException`

    - #### value

          public void value(Object value)
                     throws IOException

      Description copied from interface: `JsonStreamTarget`
      Write value.
      Specified by:
        `value` in interface `JsonStreamTarget`
      Overrides:
        `value` in class `StreamTargetDelegate`
      Throws:
        `IOException`

Copyright © 2005–2019 Apache Software Foundation. All rights reserved.